## Container - Grandfathered

Container - Grandfathered — A container class for Grandfathered subtag

## Functions

lt_grandfathered_t * | lt_grandfathered_ref ()
void | lt_grandfathered_unref ()
const char * | lt_grandfathered_get_better_tag ()
const char * | lt_grandfathered_get_tag ()
const char * | lt_grandfathered_get_preferred_tag ()
const char * | lt_grandfathered_get_name ()
void | lt_grandfathered_dump ()
lt_bool_t | lt_grandfathered_compare ()

## Types and Values

| lt_grandfathered_t

## Description

This container class provides a data access to Grandfathered subtag entry.

## Functions

### lt_grandfathered_ref ()

    lt_grandfathered_t *
    lt_grandfathered_ref (lt_grandfathered_t *grandfathered);

Increases the reference count of `grandfathered` .

#### Parameters

grandfathered | a lt_grandfathered_t. |

#### Returns

the same `grandfathered` object.

[transfer none]

### lt_grandfathered_unref ()

    void
    lt_grandfathered_unref (lt_grandfathered_t *grandfathered);

Decreases the reference count of `grandfathered` . when its reference count drops to 0, the object is finalized (i.e. its memory is freed).

#### Parameters

grandfathered | a lt_grandfathered_t. |

### lt_grandfathered_get_better_tag ()

    const char *
    lt_grandfathered_get_better_tag (const lt_grandfathered_t *grandfathered);

Obtains the better tag for use. this is a convenient function to get the preferred-value if available.

#### Parameters

grandfathered | a lt_grandfathered_t. |

#### Returns

a tag string.

### lt_grandfathered_get_tag ()

    const char *
    lt_grandfathered_get_tag (const lt_grandfathered_t *grandfathered);

Obtains the tag name.

#### Parameters

grandfathered | a lt_grandfathered_t. |

#### Returns

a tag string.

### lt_grandfathered_get_preferred_tag ()

    const char *
    lt_grandfathered_get_preferred_tag (const lt_grandfathered_t *grandfathered);

Obtains the preferred-value. this is available only when the tag is marked as deprecated.

#### Parameters

grandfathered | a lt_grandfathered_t. |

#### Returns

a preferred-value for the tag or `NULL`.

### lt_grandfathered_get_name ()

    const char *
    lt_grandfathered_get_name (const lt_grandfathered_t *grandfathered);

Obtains the description of the tag.

#### Parameters

grandfathered | a lt_grandfathered_t. |

#### Returns

a description string.

### lt_grandfathered_dump ()

    void
    lt_grandfathered_dump (const lt_grandfathered_t *grandfathered);

Dumps the container information to the standard output.

#### Parameters

grandfathered | a lt_grandfathered_t. |

### lt_grandfathered_compare ()

    lt_bool_t
    lt_grandfathered_compare (const lt_grandfathered_t *v1,
                              const lt_grandfathered_t *v2);

Compare if `v1` and `v2` is the same object or not.

#### Parameters

v1 | a lt_grandfathered_t. |
v2 | a lt_grandfathered_t. |

#### Returns

`TRUE` if it's the same. otherwise `FALSE`.

## Types and Values

### lt_grandfathered_t

    typedef struct _lt_grandfathered_t lt_grandfathered_t;

All the fields in the lt_grandfathered_t structure are private to the lt_grandfathered_t implementation.